import*as _ from'lodash-es';import*as React from'react';import {useQuery}from'@apollo/client/react/index.js';import {dockerRegistryCatalogDocument}from'@ops-stack/core';import {TagSelector}from'./TagSelector.js';import'antd';import'react-fela';import {ImageSelectorComponent}from'../components/ImageSelector.js';function ImageSelector({
  registry,
  onChange,
  values = [],
  ...rest
}) {
  const {
    data,
    loading
  } = useQuery(dockerRegistryCatalogDocument, {
    skip: !registry,
    variables: {
      registry
    }
  });
  // const [ selected, setSelected ] = React.useState<any>(values);
  const select = (record, isSelected, images) => onChange(images);
  const renderTagSelector = (image, options) => {
    return React.createElement(TagSelector, {
      image: image,
      selected: true,
      registry: registry
    });
  };
  return React.createElement(React.Fragment, null, React.createElement(ImageSelectorComponent, {
    ...rest,
    loading: loading,
    onSelect: select,
    selected: values,
    renderTagSelector: renderTagSelector,
    images: (_.get(data, 'dockerRegistryCatalog.repositories') || []).map(name => ({
      id: name,
      name
    }))
  }));
}export{ImageSelector};//# sourceMappingURL=ImageSelector.js.map
